<< isminphase | FOSSEE_Signal_Processing_Toolbox | kaiser >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > isstable

# isstable

Check for the stability of a discrete-time system.

### Syntax

    flag = isstable(b, a)
    flag = isstable(sos)

### Parameters

b:

  Numerator coefficients of the filter.

a:

  Denominator coefficients of the filter.

sos:

  K x 6 second-order section matrix. Each row corresponds to the coefficients of a second-order filter.

### Description

The `isstable` function checks whether a discrete-time system is stable. A discrete-time system is stable if all poles of the system function are inside the unit circle in the z-plane.

- When called with `b` and `a`, the function checks the stability of the filter defined by these coefficients. - When called with `sos`, the function checks the stability of the filter defined by the second-order section matrix.

The function returns `flag = 1` if the system is stable, and `flag = 0` otherwise.

### Examples

    flag = isstable([1 2 0], [1 5 6])

Report an issue
<< isminphase | FOSSEE_Signal_Processing_Toolbox | kaiser >>